program katju88;

uses
  Windows,
  SysUtils,
  Forms,
  untMainForm in 'GUI\untMainForm.pas' {MainForm},
  untOption in 'untOption.pas',
  untTool in 'untTool.pas',
  untBoard in 'untBoard.pas',
  untTopicBrowser in 'TopicBrowser\untTopicBrowser.pas',
  untGlobal in 'untGlobal.pas',
  untBoardList in 'untBoardList.pas',
  untUpdateBoardForm in 'GUI\untUpdateBoardForm.pas' {UpdateBoardListForm},
  untTopic in 'untTopic.pas',
  crc in 'crc.pas',
  gzip in 'gzip.pas',
  zlib in 'zlib.pas',
  untWriteForm in 'GUI\untWriteForm.pas' {WriteForm},
  untSearchForm in 'GUI\untSearchForm.pas' {SearchForm},
  untStreamTool in 'untStreamTool.pas',
  DzURL in 'Gadget\DzURL.pas',
  untBBSCore in 'untBBSCore.pas',
  untTopicPostThread in 'CommunicationThread\untTopicPostThread.pas',
  bmRegExp in 'bmRegExp.pas',
  untBoardDownloadThread in 'CommunicationThread\untBoardDownloadThread.pas',
  untOptionForm in 'GUI\untOptionForm.pas' {OptionForm},
  unt2chUrlParser in 'unt2chUrlParser.pas',
  untDogBrowser in 'untDogBrowser.pas',
  untTopicBrowserDoe in 'TopicBrowser\untTopicBrowserDoe.pas',
  untTopicBrowserIE in 'TopicBrowser\untTopicBrowserIE.pas',
  HogeTextView in 'Jane\HogeTextView.pas',
  untDoeSUB in 'untDoeSUB.pas',
  StrSub in 'StrSub.pas',
  untBBSSub in 'untBBSSub.pas',
  RegExpr in 'Gadget\RegExpr.pas',
  HTMLDocumentEvent in 'HTMLDocumentEvent.pas',
  untFolderAlias in 'untFolderAlias.pas',
  untJaneConfig in 'Jane\untJaneConfig.pas',
  jconvert in 'JConvert\jconvert.pas',
  untTaskThread in 'untTaskThread.pas',
  untBBSFramework in 'BBSFramework\untBBSFramework.pas',
  untBBS2ch in 'BBSFramework\untBBS2ch.pas',
  untHintWindow in 'Gadget\untHintWindow.pas',
  untBBSJBBS in 'BBSFramework\untBBSJBBS.pas',
  untTopicDownloadThread in 'CommunicationThread\untTopicDownloadThread.pas',
  Dolib in 'BBSFramework\Dolib.pas',
  untLoginForm in 'GUI\untLoginForm.pas' {LoginForm},
  untBBS2chDolib in 'BBSFramework\untBBS2chDolib.pas',
  untDolibLogin in 'untDolibLogin.pas',
  UCrypt in 'Jane\UCrypt.pas',
  untCrypt in 'untCrypt.pas',
  UBase64 in 'Jane\UBase64.pas',
  untBBS2chKako in 'BBSFramework\untBBS2chKako.pas',
  untTopicListView in 'GUI\untTopicListView.pas',
  untCreateOfflineFolder in 'GUI\untCreateOfflineFolder.pas' {CreateOfflineFolderForm};

{$R *.res}

procedure GetExceptInfoFunc(Obj: TObject; var Message: string;
    var ExceptionRecord: Windows.PExceptionRecord);
begin
  if Obj is Exception then
  begin
    Message := Exception(Obj).Message;
    if Obj is EExternal then
      ExceptionRecord := Windows.PExceptionRecord(EExternal(Obj).ExceptionRecord);
  end;
end;

procedure SetExceptMessageFunc(Obj: TObject; const NewMessage: string);
begin
  if Obj is Exception then
    Exception(Obj).Message := NewMessage;
end;

const
 Msg  = 'łɋNĂ܂B';
 hApp = 'katju88'; 

begin

 // dN֎~
 CreateMutex(nil, False, hApp);
 if GetLastError() <> ERROR_ALREADY_EXISTS then
  begin
    Application.Initialize;
    Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TSearchForm, SearchForm);
  Application.Run;
  end
 else
  MessageBox(0,PChar(Msg),nil,MB_OK or MB_ICONHAND); 

end.
